package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author guokaixiang
 * @date 2021年06月02日 16:26
 */
@Data
@ApiModel
public class ListSkuCodeRankingReportRes implements Serializable {

    @ApiModelProperty("品牌使用码量占比列表")
    private List<SkuCodeReportResBean> reportSkuCodeRankingResList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListSkuCodeRankingReportRes_SkuCodeReportResBean")
    public static class SkuCodeReportResBean implements Serializable {

        @ApiModelProperty("品牌名称")
        private String skuName;

        @ApiModelProperty("码数量")
        private Long qrNumber;
    }
}
